// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__BC0A4698_42EB_11D5_99A9_0000F6C10A77__INCLUDED_)
#define AFX_DSADDIN_H__BC0A4698_42EB_11D5_99A9_0000F6C10A77__INCLUDED_

#include "commands.h"

// {BC0A4685-42EB-11D5-99A9-0000F6C10A77}
DEFINE_GUID(CLSID_DSAddIn,
0xbc0a4685, 0x42eb, 0x11d5, 0x99, 0xa9, 0, 0, 0xf6, 0xc1, 0xa, 0x77);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "CFileDialog AddIn",
		"FILEDIALOGADDIN Developer Studio Add-in", IDS_FILEDIALOGADDIN_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__BC0A4698_42EB_11D5_99A9_0000F6C10A77__INCLUDED)
